curl --request POST \
--url https://app.famulor.io/api/v1/tools/simplybook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_login": "<string>",
"user_login": "<string>",
"api_key": "<string>",
"name": "simplybook"
}
'import requests
url = "https://app.famulor.io/api/v1/tools/simplybook"
payload = {
"company_login": "<string>",
"user_login": "<string>",
"api_key": "<string>",
"name": "simplybook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_login: '<string>',
user_login: '<string>',
api_key: '<string>',
name: 'simplybook'
})
};
fetch('https://app.famulor.io/api/v1/tools/simplybook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/tools/simplybook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company_login' => '<string>',
'user_login' => '<string>',
'api_key' => '<string>',
'name' => 'simplybook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/tools/simplybook"
payload := strings.NewReader("{\n \"company_login\": \"<string>\",\n \"user_login\": \"<string>\",\n \"api_key\": \"<string>\",\n \"name\": \"simplybook\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.famulor.io/api/v1/tools/simplybook")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"company_login\": \"<string>\",\n \"user_login\": \"<string>\",\n \"api_key\": \"<string>\",\n \"name\": \"simplybook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/tools/simplybook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company_login\": \"<string>\",\n \"user_login\": \"<string>\",\n \"api_key\": \"<string>\",\n \"name\": \"simplybook\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "mcp",
"config": {},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"nativeIntegration": "shopify",
"app_action": {
"app": "<string>",
"app_name": "<string>",
"action": "<string>",
"action_name": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"risk": "read",
"confirmation": "ask_first",
"status": "ok",
"update_available": true
}
}
}Connect SimplyBook.me
Connect a SimplyBook.me account through its Admin REST API. The endpoint, company login, staff user login and API User Key are checked with a sign-in before the tool is created. The tool lets an assistant read services, staff and free times and book appointments after the caller confirms; cancellation, client lookups and booking lists can be enabled later by updating the tool. Bookings send real notifications from SimplyBook.me. Not available until SimplyBook.me is enabled for your platform. Required scope: assistants:write. Requires an admin-level credential.
curl --request POST \
--url https://app.famulor.io/api/v1/tools/simplybook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_login": "<string>",
"user_login": "<string>",
"api_key": "<string>",
"name": "simplybook"
}
'import requests
url = "https://app.famulor.io/api/v1/tools/simplybook"
payload = {
"company_login": "<string>",
"user_login": "<string>",
"api_key": "<string>",
"name": "simplybook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_login: '<string>',
user_login: '<string>',
api_key: '<string>',
name: 'simplybook'
})
};
fetch('https://app.famulor.io/api/v1/tools/simplybook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/tools/simplybook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company_login' => '<string>',
'user_login' => '<string>',
'api_key' => '<string>',
'name' => 'simplybook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/tools/simplybook"
payload := strings.NewReader("{\n \"company_login\": \"<string>\",\n \"user_login\": \"<string>\",\n \"api_key\": \"<string>\",\n \"name\": \"simplybook\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.famulor.io/api/v1/tools/simplybook")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"company_login\": \"<string>\",\n \"user_login\": \"<string>\",\n \"api_key\": \"<string>\",\n \"name\": \"simplybook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/tools/simplybook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company_login\": \"<string>\",\n \"user_login\": \"<string>\",\n \"api_key\": \"<string>\",\n \"name\": \"simplybook\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "mcp",
"config": {},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"nativeIntegration": "shopify",
"app_action": {
"app": "<string>",
"app_name": "<string>",
"action": "<string>",
"action_name": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"risk": "read",
"confirmation": "ask_first",
"status": "ok",
"update_available": true
}
}
}Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, billing:write, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Body
REST API endpoint from Custom Features → API, for example https://user-api-v2.simplybook.it.
https://user-api-v2.simplybook.me, https://user-api-v2.simplybook.it, https://user-api-v2.simplybook.asia, https://user-api-v2.simplybook.us, https://user-api-v2.simplybook.vip, https://user-api-v2.simplybook.cc, https://user-api-v2.simplybook.pro, https://user-api-v2.enterpriseappointments.com, https://user-api-v2.simplybook.webnode.page, https://user-api-v2.servicebookings.net, https://user-api-v2.booking.names.uk, https://user-api-v2.booking.lcn.uk, https://user-api-v2.booking.register365.ie